-- Schema: C6MartPeriodico
-- Stored Procedure: SP_DQ_DeleteSegnalazioni


  
  
  
-- =============================================  
-- Author:  Caruso Fabrizio  
-- Create date: 17/09/2014  
-- Description:   
-- Cancellazione Segnalazioni/Scarti su tabella DATA QUALITY  
-- =============================================  
  
  
  
CREATE procedure [C6MartPeriodico].[SP_DQ_DeleteSegnalazioni]  
@idFaseElaborazione int  
AS  
BEGIN  
  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'SP_DQ_DeleteSegnalazioni',  
  GETDATE(),  
  'Elaborazione Trimestrale '  
 )  
  
if ( @idFaseElaborazione > 0 )   
begin  
  delete  
  from   C6MartPeriodico.tb_SegnalazioniDataQuality  
  where idFaseElaborazione =@idFaseElaborazione  
end   
else   
  truncate table  C6MartPeriodico.tb_SegnalazioniDataQuality  
  
     
  
  
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'UPDATE',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'SP_DQ_DeleteSegnalazioni' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'SP_DQ_DeleteSegnalazioni'  
  )  
  
  
  
     
end    


